Main Page Modules Class Hierarchy Compound List File List Compound Members

# sEnumBuilder Class Reference

`#include <cenum.h>`

List of all members.

## Public Methods

| sEnumBuilder (const char *name,...)

## Detailed Description

Supporting class for cEnum. Helps with creating and filling globally available cEnums. Enums of the same name will be merged.

Usage:

       enum PDUType {CONNECT_REQ, CONNECT_CONFIRM, ... };

       static sEnumBuilder _enum1( "PDUType",
           CONNECT_REQ,     "CONNECT_REQ",
           CONNECT_CONFIRM, "CONNECT_CONFIRM",
           ...
           0, NULL);

## Constructor & Destructor Documentation

sEnumBuilder::sEnumBuilder ( | const char * name,
| ... )

| Constructor. See class description for more info.

The documentation for this class was generated from the following file:

- cenum.h